Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006334opensim[REGION] OpenSim Corepublic2012-10-02 16:372014-07-29 13:42
ReporterLaniGlobal 
Assigned ToLaniGlobal 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version0.7.5dev
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006334: Avatar Un-Sit Crossing Border
DescriptionAvatar Un-Sit Crossing Border.

An avatar sitting on a prim when crossing a region border is Un-Sitted.

Steps To Reproduce1. Rezz a prim.
2. Sit on the prim.
3. Move the prim across a region border from original region to destination region.
4. Observe avatar being Un-Sitted.
5. Observe the prim is in the destination region.
Additional InformationThis occurs whether in same simulator or different simulator.

This is a major problem for the Pilot / Driver of a vehicle. A physical vehicle can cross the border, but the avatar is ejected. Usually the Pilot / Driver arrives a few meters into the destination region.

Oddly, the vehicle sitting passengers are not Un-Sitted. (However, there are other problems with sitting passenger location. When the passenger stands up, they find themselves in the original region!)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Linux64
Mono Versiontrunk
Viewertest: Firest,Phoe, Impru.
Attached Files

- Relationships

-  Notes
(0022818)
LaniGlobal (reporter)
2012-10-08 19:27

Expected behavior:
The avatar continues to sit on the prim as it passes across the region border from original region into the destination region.

We won't be able to drive vehicles across the regions of the grids until this is fixed.
(0024079)
bibuccia (reporter)
2013-06-11 14:50

I can confirm this bad behaviour still now
(0024080)
melanie (administrator)
2013-06-11 15:17

Crossing sitting avatars is not currently implemented at all.
(0024081)
bibuccia (reporter)
2013-06-11 15:19

and why not... it is so important! When will it be implemented?
(0025275)
LaniGlobal (reporter)
2014-02-22 13:18

This was fixed in 0.8.0
Thank you to the dev(s) who made this possible.
(0025276)
LaniGlobal (reporter)
2014-02-22 13:22

Resolved in 0.8.0

- Issue History
Date Modified Username Field Change
2012-10-02 16:37 LaniGlobal New Issue
2012-10-08 19:27 LaniGlobal Note Added: 0022818
2013-06-11 14:50 bibuccia Note Added: 0024079
2013-06-11 15:17 melanie Note Added: 0024080
2013-06-11 15:19 bibuccia Note Added: 0024081
2014-02-22 13:18 LaniGlobal Note Added: 0025275
2014-02-22 13:18 LaniGlobal Fixed in Version => master (dev code)
2014-02-22 13:22 LaniGlobal Note Added: 0025276
2014-02-22 13:22 LaniGlobal Status new => resolved
2014-02-22 13:22 LaniGlobal Resolution open => fixed
2014-02-22 13:22 LaniGlobal Assigned To => LaniGlobal
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker